Bug 250142 - How to create package skip list with yum client?
How to create package skip list with yum client?
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: yum (Show other bugs)
5.5
All Linux
low Severity low
: ---
: ---
Assigned To: James Antill
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-30 13:27 EDT by Bob Bugzilla
Modified: 2014-01-21 01:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-06 12:26:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bob Bugzilla 2007-07-30 13:27:29 EDT
Description of problem:

Now that up2date has been replaced with yum as a the client tool for manageing 
updates, how does one create a package slip list?

With up2date it is handled with the --configure option and specifying a list 
like this: "pkgSkipList ['kernel*', 'httpd*', 'mysql*', 'php*']".  How to do 
the same with yum?
Comment 2 Calvin Smith 2008-01-03 14:29:13 EST
You can add exclude= into the yum.conf file which can do a similar thing. 
Comment 3 Bob Bugzilla 2008-01-03 15:00:51 EST
And then how to override the skip list with yum? With up2date there was: 
up2date -fu

And, how to force download without install?  With up2deate there wass: up2date -
fud

Which could later be followed up with: up2date -fui

Useful functionality which was not replicated in yum?


Comment 4 Calvin Smith 2008-01-03 17:59:48 EST
In order to force update, you can use. 

# echo -e "config exclude 0 \n update \n run" | yum -y shell 

Note that the former command will not ask for confirmation before installing. To
see what will be installed before running it, remove the -y option

To download without install, you have to install the yum-downloadonly plugin 

# yum install yum-downloadonly 

Which gives you the --downloadonly option, then 

# yum --downloadonly install myPackage 

which would down the myPackage package.

Finally if you want to see what's being skipped when doing a "yum update", use
the -d 3 option. e.g.

# yum -d 3 update

Hope that helps
Comment 5 Miroslav Suchý 2009-10-06 12:03:43 EDT
Bob, did Calvin answered your questions?
Additionaly, this is more yum problem, not related to yum-rhn-plugin directly. Changing component to yum.
Comment 6 James Antill 2009-10-06 12:26:08 EDT
yum --disablexcludes=all

I think it might be in the 5.2 version, but it's def. in the 5.3/5.4 versions.
Comment 7 Bob Bugzilla 2009-10-06 15:36:51 EDT
Miroslav, Calvin answered my questions.

However, the answers are more complicated than a simple command line flag as was available with up2date. So, this seems more like a kludge than a functionality equivalence.

I theorize a more elegant solution would be to write a series of bash scripts to wrap around the yum, to address the shortfalls when supporting RHEL/RHN.  Perhaps using a number of different yum.conf files, one for each functional area would also provide a more robust solution.  Just thinking out loud...

FYI - I view this as more of a RHN problem, as up2date is/was for supporting RHEL via RHN.

Thanks for all of the effort.

Note You need to log in before you can comment on or make changes to this bug.